= nng_aio_get_msg(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_aio_get_msg - get message from asynchronous receive

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

nng_msg *nng_aio_get_msg(nng_aio *aio);
----

== DESCRIPTION

The `nng_aio_get_msg()` function gets any message stored in _aio_ as
either a result of a successful receive
(see xref:nng_recv_aio.3.adoc[`nng_recv_aio()`])
or that was previously stored with xref:nng_aio_set_msg.3.adoc[`nng_aio_set_msg()`].

IMPORTANT: The xref:nng_aio.5.adoc[`nng_aio`] must not have an operation in progress.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_aio_set_msg.3.adoc[nng_aio_set_msg(3)],
xref:nng_recv_aio.3.adoc[nng_recv_aio(3)],
xref:nng_aio.5.adoc[nng_aio(5)],
xref:nng_msg.5.adoc[nng_msg(5)],
xref:nng.7.adoc[nng(7)]
